package com.bwie.apply.controller;

import com.bwie.apply.domain.Student;
import com.bwie.apply.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.xml.transform.Result;
import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.apply.controller
 * @Project：bwie-g6_day07rk
 * @name：StudentController
 * @Date：2024/7/25 8:44
 */
@RestController
@RequestMapping("list")
public class StudentController {
    @Autowired
    private StudentService service;

    @GetMapping("findStudentList")
    public List<Student> findStudentList(){
        return service.findStudentList();
    }
}
