package com.bwie.apply.service.impl;

import com.bwie.apply.domain.Student;
import com.bwie.apply.mapper.StudentMapper;
import com.bwie.apply.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.xml.transform.Result;
import java.util.HashMap;
import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.bwie.apply.service.impl
 * @Project：bwie-g6_day07rk
 * @name：StudentServiceImpl
 * @Date：2024/7/25 8:44
 */
@Service
public class StudentServiceImpl implements StudentService {
    @Autowired
    private StudentMapper mapper;
    @Override
    public List<Student> findStudentList() {
        List<Student> list = mapper.findStudentList();
        HashMap<String, Object> hashMap = new HashMap<>();
        for (Student student : list) {
            hashMap.put(String.valueOf(student),student);
            System.out.println("第一种"+hashMap);
//            log.info("第二种"+hashMap);
        }
        return list;
    }
}
